tamjan icon

archlinux-keyring-20240313.ebuild patch

tamjan | PRO | 04/17/24 06:15:48 AM UTC | 0 ⭐ | 13845 👁️ | Never ⏰ | []
Diff |

2.28 KB

|

None

|

0 👍

/

0 👎

diff --git a/app-crypt/archlinux-keyring/Manifest b/app-crypt/archlinux-keyring/Manifest
index a7878e3..6106c1c 100644
--- a/app-crypt/archlinux-keyring/Manifest
+++ b/app-crypt/archlinux-keyring/Manifest
@@ -1 +1 @@
-DIST archlinux-keyring-20240313.tar.gz 1252554 BLAKE2B 2d5e8502baffb79c46628f346562e7cefd64d3f2f2f99c245e81b65a1bc935926ef1a1ee2ed55b501236a090539a76d8a3df32a55bb249f08ddfdbef8c9fad16 SHA512 c01d701cad38cbc03eb154e4e7357c9ccda6fce24b38bb04fe20a4a00188514e5c94a49fb23fc0c3eac6b44a786e4fa6d6a87fe87736eb6088ca0d3e3698ba49
+DIST archlinux-keyring-20240313.tar.gz 1524297 BLAKE2B 3a3c205ad420a3442e9d8efe18508b0e4e20f2e80e768cb75af0be2e49b806edc83458da921e383d97a3660e0c14b3b8b60cedf11b8b5c3223ad95d7a6f721e5 SHA512 8caedebccd31a62264cb7c5e8d4c7f3e326f018b6e9148ab31e19e58a60b64c0ee2a641090c77a40bcfba93ef4ce13132b721241a0404816b40e28da4fd36f9b
diff --git a/app-crypt/archlinux-keyring/archlinux-keyring-20240313.ebuild b/app-crypt/archlinux-keyring/archlinux-keyring-20240313.ebuild
index 572c393..8db8f36 100644
--- a/app-crypt/archlinux-keyring/archlinux-keyring-20240313.ebuild
+++ b/app-crypt/archlinux-keyring/archlinux-keyring-20240313.ebuild
@@ -3,16 +3,18 @@
 
 EAPI="8"
 
+inherit systemd
+
 DESCRIPTION="GnuPG keyring of Archlinux developer keys"
 HOMEPAGE="https://gitlab.archlinux.org/archlinux/archlinux-keyring/-/releases"
-SRC_URI="https://gitlab.archlinux.org/archlinux/archlinux-keyring/-/releases/${PV}/downloads/archlinux-keyring-${PV}.tar.gz"
+SRC_URI="https://gitlab.archlinux.org/archlinux/archlinux-keyring/-/archive/${PV}/archlinux-keyring-${PV}.tar.gz"
 
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64"
 IUSE=""
 
-BDEPEND="app-crypt/sequoia-sq"
+BDEPEND=">=app-crypt/sequoia-sq-0.34"
 
 src_prepare() {
        default
@@ -20,7 +22,7 @@ src_prepare() {
        # On non-systemd installations the service files are thrown
        # directly into /. Hard-code the path as a quick and dirty solution.
        # If it breaks for someone else, please complain, too and I'll revert it.
-       sed -i "s#\$\(shell pkgconf --variable systemd_system_unit_dir systemd\)#/usr/lib/systemd/system#" Makefile || die
+       sed -i -E "s#\\$\\(shell pkgconf --variable systemd_system_unit_dir systemd\\)#$(systemd_get_systemunitdir)#" Makefile || die
 }
 
 src_install() {

Comments

  •  icon
    01/01/70 12:00:00 AM UTC
    Plain Text |

    0 B

    |

    👍

    /

    👎

    
        
  •  icon
    01/01/70 12:00:00 AM UTC
    Plain Text |

    0 B

    |

    👍

    /

    👎